Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.timeout
Class IdleStateAwareChannelUpstreamHandler

    java.lang.Object
      org.jboss.netty.channel.SimpleChannelUpstreamHandler
          org.jboss.netty.handler.timeout.IdleStateAwareChannelUpstreamHandler

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler

    public class IdleStateAwareChannelUpstreamHandler

extends SimpleChannelUpstreamHandler

An extended `SimpleChannelUpstreamHandler` that adds the handler method for an `IdleStateEvent`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`IdleStateAwareChannelUpstreamHandler()` Creates a new instance.

Method Summary
`void` | `channelIdle(ChannelHandlerContext ctx, IdleStateEvent e)` Invoked when a `Channel` has been idle for a while.
`void` | `handleUpstream(ChannelHandlerContext ctx, ChannelEvent e)` Handles the specified upstream event.

Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler
`channelBound, channelClosed, channelConnected, channelDisconnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, exceptionCaught, messageReceived, writeComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdleStateAwareChannelUpstreamHandler

    public IdleStateAwareChannelUpstreamHandler()

  Creates a new instance.

Method Detail

### handleUpstream

    public void handleUpstream(ChannelHandlerContext ctx,
                               ChannelEvent e)
                        throws Exception

  Description copied from class: `SimpleChannelUpstreamHandler`
  Handles the specified upstream event. Down-casts the received upstream event into more meaningful sub-type event and calls an appropriate handler method with the down-casted event.

  Specified by:
    `handleUpstream` in interface `ChannelUpstreamHandler`
  Overrides:
    `handleUpstream` in class `SimpleChannelUpstreamHandler`
  Parameters:
    `ctx` - the context object for this handler
    `e` - the upstream event to process or intercept
  Throws:
    `Exception`

### channelIdle

    public void channelIdle(ChannelHandlerContext ctx,
                            IdleStateEvent e)
                     throws Exception

  Invoked when a `Channel` has been idle for a while.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.